Threat Encyclopedia

Google.Talk.gtalk.Deprecated.URI.Handler.Parameter.Injection

Description

This indicates an attack attempt against a Parameter Injection Vulnerability in Google Talk.
The vulnerability is due to insufficient sanitizing of user supplied inputs in the application when handling maliciously crafted links in the "gtalk://" uri handler. As a result, a remote attacker can exploit this to gain unauthorized access to sensitive information.

Affected Products

Google Talk 1.0.0.104
Google Talk 1.0.0.105

Impact

Information Disclosure: Remote attackers can gain sensitive information from vulnerable systems.

Recommended Actions

Currently we are not aware of any vendor supplied patch for this issue.